<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.ordine.home.title">Ordines</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-ordine" [routerLink]="['/ordine/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.ordine.home.createLabel">
            Create a new Ordine
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="ordines?.length === 0">
        <span jhiTranslate="shoppingonlineApp.ordine.home.notFound">No ordines found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="ordines && ordines.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.stato">Stato</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.numero">Numero</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.data">Data</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.pagamento">Pagamento</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.spedizione">Spedizione</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.fattura">Fattura</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.computer">Computer</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.commessa">Commessa</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.ordine.cliente">Cliente</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let ordine of ordines ;trackBy: trackId">
                    <td><a [routerLink]="['/ordine', ordine.id, 'view']">{{ ordine.id }}</a></td>
                    <td>{{ ordine.stato }}</td>
                    <td>{{ ordine.numero }}</td>
                    <td>{{ ordine.data | date:'mediumDate' }}</td>
                    <td>
                        <div *ngIf="ordine.pagamento">
                            <a [routerLink]="['/pagamento', ordine.pagamento?.id, 'view']" >{{ ordine.pagamento?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="ordine.spedizione">
                            <a [routerLink]="['/spedizione', ordine.spedizione?.id, 'view']" >{{ ordine.spedizione?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="ordine.fattura">
                            <a [routerLink]="['/fattura', ordine.fattura?.id, 'view']" >{{ ordine.fattura?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="ordine.computer">
                            <a [routerLink]="['/computer', ordine.computer?.id, 'view']" >{{ ordine.computer?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="ordine.commessa">
                            <a [routerLink]="['/commessa', ordine.commessa?.id, 'view']" >{{ ordine.commessa?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="ordine.cliente">
                            <a [routerLink]="['/cliente', ordine.cliente?.id, 'view']" >{{ ordine.cliente?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/ordine', ordine.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/ordine', ordine.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(ordine)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
